#include <avr/io.h>
#include <avr/pgmspace.h>

#ifndef MMC_SPI_H
#define MMC_SPI_H

#include "mmc_spi.inc"

#define mmcReadCID(buffer)  mmcReadBuffer16(0x49, buffer)
#define mmcReadCSD(buffer)  mmcReadBuffer16(0x4A, buffer)

uint8_t MMC_Buffer[512];

extern uint8_t mmcInit(void);
extern void mmcDisable();

extern uint8_t mmcCommand(uint8_t command);
extern uint8_t mmcCommandExpected(uint8_t command, uint16_t expected);
extern uint8_t mmcCommandParam(uint8_t command, uint32_t address, uint16_t expected);
extern uint8_t mmcReadData(uint16_t size, uint8_t *buffer);
extern uint8_t mmcReadBuffer16(uint8_t command, uint8_t *buffer);
extern uint8_t mmcReadSector(uint32_t sector, uint8_t *buffer);

#endif

