#include    <avr/io.h>

#if defined (__AVR_ATmega8__)
  #define   MMC_DDR                 DDRB
  #define   MMC_PORT                PORTB
  #define   MMC_PIN                 PINB
  #define   MMC_CS                  PB0   // SS
  #define   MMC_MOSI                PB3   // MOSI
  #define   MMC_MISO                PB4   // MISO
  #define   MMC_SCLK                PB5   // SCK
#elif defined (__AVR_ATmega16__)
  #define   MMC_DDR                 DDRB
  #define   MMC_PORT                PORTB
  #define   MMC_PIN                 PINB
  #define   MMC_CS                  PB4   // SS
  #define   MMC_MOSI                PB5   // MOSI
  #define   MMC_MISO                PB6   // MISO
  #define   MMC_SCLK                PB7   // SCK
#elif defined (__AVR_ATmega32__)
  #define   MMC_DDR                 DDRB
  #define   MMC_PORT                PORTB
  #define   MMC_PIN                 PINB
  #define   MMC_CS                  PB4   // SS
  #define   MMC_MOSI                PB5   // MOSI
  #define   MMC_MISO                PB6   // MISO
  #define   MMC_SCLK                PB7   // SCK
#elif defined (__AVR_ATmega128__)
  #define   MMC_DDR                 DDRB
  #define   MMC_PORT                PORTB
  #define   MMC_PIN                 PINB
  #define   MMC_CS                  0   // SS
  #define   MMC_MOSI                2   // MOSI
  #define   MMC_MISO                3   // MISO
  #define   MMC_SCLK                1   // SCK
#elif defined (__AVR_ATmega162__)
  #define   MMC_DDR                 DDRB
  #define   MMC_PORT                PORTB
  #define   MMC_PIN                 PINB
  #define   MMC_CS                  PB4
  #define   MMC_MOSI                PB5
  #define   MMC_MISO                PB6
  #define   MMC_SCLK                PB7
#else
  #error Please define in mmc_spi.inc the hardware pins for your device !
#endif

#define  MMC_COMMAND_TRIALS         4     // must > 0
#define  MMC_COMMAND_DELAY          20    // must > 1, 20*8 = 160 cycles
#define  MMC_RESPONSE_TRIALS        160   // must > 1
#define  MMC_READ_TRIALS            4096  // must > 1
// #define  MMC_CALC_CRC7


